---
driver:
  name: docker
platforms:
  - name: db0-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
    groups:
      - postgres
  - name: db1-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
    groups:
      - postgres
  - name: db2-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
    groups:
      - postgres
provisioner:
  name: ansible
  options:
    D: true
  inventory:
    group_vars:
      postgres:
        repmgr_password: "testrepmgr"
  env:
    ANSIBLE_ROLES_PATH: ../../roles
    ANSIBLE_LIBRARY: ../../library
    ANSIBLE_ACTION_PLUGINS: ../../plugins/action
    ANSIBLE_PYTHON_INTERPRETER: /usr/bin/python3
    SKYREACH_SYSTEM_KEY: s1121eb6e7593525bf3e0302586c82d2
  playbooks:
    side_effect: side_effect.yml
verifier:
  name: testinfra
  # options:
    # verbose: true
    # s: true
